(*
  CamlQuizz, an IRC quizbot
  Copyright (C) 2004 Samuel Mimram, Julien Cristau, Brice Goglin

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License version 2, as
  published by the Free Software Foundation.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA 02111-1307, USA.
*)

let unaccent s = 
  let n = String.length s in
  let ret = String.make n ' ' in
    for i = 0 to n - 1 do
      ret.[i] <-
      match s.[i] with
	| '' | '' | '' | '' -> 'e'
	| '' | '' | '' -> 'a'
	| '' | '' | '' -> 'u'
	| '' | '' -> 'o'
	| '' | '' -> 'i'
	| '' -> 'c'
	| c -> c
    done;
    ret

let split_string s =
  let ans = ref [] in
  let cur = ref "" in
    for i = 0 to ((String.length s) - 1)
    do
      if s.[i] = ' ' || s.[i] = '\'' || s.[i] = '-' then
	(
	  if !cur <> "" then
	    ans := !cur :: !ans;
	  cur := ""
	)
      else
	cur := !cur ^ (String.make 1 s.[i])
    done;
    if !cur <> "" then
      ans := !cur :: !ans;
    List.rev !ans
